#pragma once

#include "CoreMinimal.h"
#include "EDBDCameraViewType.h"
#include "MenuCameraContextInfo.h"
#include "MenuCameraTransitionParams.generated.h"

USTRUCT(BlueprintType)
struct FMenuCameraTransitionParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EDBDCameraViewType View;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Duration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool Locked;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FMenuCameraContextInfo Context;

public:
	DEADBYDAYLIGHT_API FMenuCameraTransitionParams();
};

FORCEINLINE uint32 GetTypeHash(const FMenuCameraTransitionParams) { return 0; }
